summaryrefslogtreecommitdiffstats
path: root/bin/tests/system/cacheclean/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/tests/system/cacheclean/tests.sh')
-rw-r--r--bin/tests/system/cacheclean/tests.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/bin/tests/system/cacheclean/tests.sh b/bin/tests/system/cacheclean/tests.sh
new file mode 100644
index 0000000..7e1ba79
--- /dev/null
+++ b/bin/tests/system/cacheclean/tests.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Copyright (C) 2004, 2007 Internet Systems Consortium, Inc. ("ISC")
+# Copyright (C) 2001 Internet Software Consortium.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES WITH
+# REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
+# AND FITNESS. IN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT,
+# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
+# LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
+# OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+# PERFORMANCE OF THIS SOFTWARE.
+
+# $Id: tests.sh,v 1.5 2007/06/19 23:47:00 tbox Exp $
+
+SYSTEMTESTTOP=..
+. $SYSTEMTESTTOP/conf.sh
+
+status=0
+
+$DIG +nosea +nocomm +nocmd +noquest +noadd +noauth +nocomm +nostat \
+ -f dig.batch -p 5300 @10.53.0.2 > dig.out.ns2 || status=1
+grep ";" dig.out.ns2
+
+$PERL ../digcomp.pl dig.out.ns2 knowngood.dig.out || status=1
+
+echo "I:exit status: $status"
+exit $status